Page MenuHomePhabricator

Provide a Beta Feature of a modern wikitext editor integrated into the visual editor
Closed, ResolvedPublic8 Story Points

Description

  • Full Feature Parity with WikiEditor
    • Basic toolbar – B/I; sig; link; image
    • Advanced toolbar – headings; bullet list, numbered list; nowiki; br; big; small; sup; sub; gallery; redirect; table
    • Special characters
    • Auto-citations
    • Find and replace
    • Save function
    • Diff function
    • preview function (T142642)
    • User can toggle between NWE and VE (T142643)
  • Is available as a beta feature (T142644)
  • UX passes (T141068)
  • Code is merged
    • Reviewer picked
    • Review assesses that code doesn't break non-enabled installations
      • via code review
      • via experimentation
        • On reviewer system
        • On beta cluster
  • Release Announced (T142645)

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
ResolvedJules78120
OpenNone
ResolvedDannyH
OpenNone
OpenEsanders
OpenNone
OpenEsanders
ResolvedJdforrester-WMF
Resolveddchen
ResolvedCapt_Swing
ResolvedJdforrester-WMF
ResolvedCapt_Swing
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedJdforrester-WMF
ResolvedPginer-WMF
ResolvedWhatamidoing-WMF
ResolvedEsanders
InvalidNone
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedJdforrester-WMF
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2016, 7:03 PM
Elitre added a subscriber: Elitre.Aug 4 2016, 12:08 PM
JAufrecht updated the task description. (Show Details)Aug 9 2016, 8:31 PM
Izno added a subscriber: Izno.Sep 27 2016, 7:59 PM
Jdforrester-WMF closed this task as Resolved.Dec 14 2016, 7:33 PM